%bcond_without check

%global goipath         github.com/mitchellh/mapstructure
Version:                1.4.1

%gometa

%global common_description %{expand:
Mapstructure is a Go library for decoding generic map values to structures and
vice versa, while providing helpful error handling.

This library is most useful when decoding values from some data stream (JSON,
Gob, etc.) where you don't quite know the structure of the underlying data until
you read a part of it. You can therefore read a map[string]interface{} and use
this library to decode it into the proper underlying native Go structure.}

%global golicenses      LICENSE
%global godocs          CHANGELOG.md README.md

%global gosupfiles glide.lock glide.yaml

Name:           %{goname}
Release:    1%{?dist}
Summary:        Go library for decoding generic map values into native go structures

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}
Source1:        glide.yaml
Source2:        glide.lock

%description
%{common_description}

%gopkg

%prep
%goprep
cp %{S:1} %{S:2} .

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
